USE catalogdb;

CREATE TABLE IF NOT EXISTS vnfc_customization (
`MODEL_CUSTOMIZATION_UUID` VARCHAR(200) NOT NULL,
`MODEL_INSTANCE_NAME` VARCHAR(200) NOT NULL,
`MODEL_UUID` VARCHAR(200) NOT NULL,
`MODEL_INVARIANT_UUID` VARCHAR(200) NOT NULL,
`MODEL_VERSION` VARCHAR(20) NOT NULL,
`MODEL_NAME` VARCHAR(200) NOT NULL,
`TOSCA_NODE_TYPE` VARCHAR(200) NOT NULL,
`DESCRIPTION` VARCHAR(1200) NULL DEFAULT NULL,
`CREATION_TIMESTAMP` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY (`MODEL_CUSTOMIZATION_UUID`))
ENGINE = InnoDB
AUTO_INCREMENT = 20654
DEFAULT CHARACTER SET = latin1;

CREATE TABLE IF NOT EXISTS cvnfc_customization (
  `ID` INT(11) NOT NULL AUTO_INCREMENT, 
  `MODEL_CUSTOMIZATION_UUID` VARCHAR(200) NOT NULL, 
  `MODEL_INSTANCE_NAME` VARCHAR(200) NOT NULL, 
  `MODEL_UUID` VARCHAR(200) NOT NULL, 
  `MODEL_INVARIANT_UUID` VARCHAR(200) NOT NULL, 
  `MODEL_VERSION` VARCHAR(20) NOT NULL, 
  `MODEL_NAME` VARCHAR(200) NOT NULL, 
  `TOSCA_NODE_TYPE` VARCHAR(200) NOT NULL, 
  `DESCRIPTION` VARCHAR(1200) NULL DEFAULT NULL, 
  `NFC_FUNCTION` VARCHAR(200) NULL, 
  `NFC_NAMING_CODE` VARCHAR(200) NULL, 
  `CREATION_TIMESTAMP` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP, 
  `VNF_RESOURCE_CUST_MODEL_CUSTOMIZATION_UUID` VARCHAR(200) NOT NULL, 
  `VF_MODULE_CUST_MODEL_CUSTOMIZATION_UUID` VARCHAR(200) NOT NULL, 
  `VNFC_CUST_MODEL_CUSTOMIZATION_UUID` VARCHAR(200) NOT NULL, 
  PRIMARY KEY (`ID`), 
  INDEX `fk_cvnfc_customization__vf_module_customization1_idx` (
    `VF_MODULE_CUST_MODEL_CUSTOMIZATION_UUID` ASC
  ), 
  INDEX `fk_cvnfc_customization__vnfc_customization1_idx` (
    `VNFC_CUST_MODEL_CUSTOMIZATION_UUID` ASC
  ), 
  INDEX `fk_cvnfc_customization__vnf_resource_customization1_idx` (
    `VNF_RESOURCE_CUST_MODEL_CUSTOMIZATION_UUID` ASC
  ), 
  UNIQUE INDEX `UK_cvnfc_customization` (
    `VNF_RESOURCE_CUST_MODEL_CUSTOMIZATION_UUID` ASC, 
    `VF_MODULE_CUST_MODEL_CUSTOMIZATION_UUID` ASC, 
    `MODEL_CUSTOMIZATION_UUID` ASC
  ), 
  INDEX `fk_cvnfc_customization__vnf_vfmod_cvnfc_config_cust1_idx` (`MODEL_CUSTOMIZATION_UUID` ASC), 
  CONSTRAINT `fk_cvnfc_customization__vf_module_customization1` FOREIGN KEY (
    `VF_MODULE_CUST_MODEL_CUSTOMIZATION_UUID`
  ) REFERENCES `vf_module_customization` (`MODEL_CUSTOMIZATION_UUID`) ON DELETE CASCADE ON UPDATE CASCADE, 
    CONSTRAINT `fk_cvnfc_customization__vnfc_customization1` FOREIGN KEY (
      `VNFC_CUST_MODEL_CUSTOMIZATION_UUID`
    ) REFERENCES `vnfc_customization` (`MODEL_CUSTOMIZATION_UUID`) ON DELETE CASCADE ON UPDATE CASCADE, 
    CONSTRAINT `fk_cvnfc_customization__vnf_resource_customization1` FOREIGN KEY (
      `VNF_RESOURCE_CUST_MODEL_CUSTOMIZATION_UUID`
    ) REFERENCES `vnf_resource_customization` (`MODEL_CUSTOMIZATION_UUID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB AUTO_INCREMENT = 20654 DEFAULT CHARACTER SET = latin1;

CREATE TABLE IF NOT EXISTS vnf_vfmodule_cvnfc_configuration_customization (
  `ID` INT(11) NOT NULL AUTO_INCREMENT, 
  `MODEL_CUSTOMIZATION_UUID` VARCHAR(200) NOT NULL, 
  `VNF_RESOURCE_CUST_MODEL_CUSTOMIZATION_UUID` VARCHAR(200) NOT NULL, 
  `VF_MODULE_MODEL_CUSTOMIZATION_UUID` VARCHAR(200) NOT NULL, 
  `CVNFC_MODEL_CUSTOMIZATION_UUID` VARCHAR(200) NOT NULL, 
  `MODEL_INSTANCE_NAME` VARCHAR(200) NOT NULL, 
  `CONFIGURATION_TYPE` VARCHAR(200) NULL, 
  `CONFIGURATION_ROLE` VARCHAR(200) NULL, 
  `CONFIGURATION_FUNCTION` VARCHAR(200) NULL, 
  `POLICY_NAME` VARCHAR(200) NULL, 
  `CREATION_TIMESTAMP` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP, 
  `CONFIGURATION_MODEL_UUID` VARCHAR(200) NOT NULL, 
  PRIMARY KEY (`ID`), 
  INDEX `fk_vnf_vfmodule_cvnfc_config_cust__configuration_idx` (`CONFIGURATION_MODEL_UUID` ASC), 
  UNIQUE INDEX `UK_vnf_vfmodule_cvnfc_configuration_customization` (
    `VNF_RESOURCE_CUST_MODEL_CUSTOMIZATION_UUID` ASC, 
    `VF_MODULE_MODEL_CUSTOMIZATION_UUID` ASC, 
    `CVNFC_MODEL_CUSTOMIZATION_UUID` ASC, 
    `MODEL_CUSTOMIZATION_UUID` ASC
  ), 
  INDEX `fk_vnf_vfmodule_cvnfc_config_cust__cvnfc_cust1_idx` (
    `CVNFC_MODEL_CUSTOMIZATION_UUID` ASC
  ), 
  INDEX `fk_vnf_vfmodule_cvnfc_config_cust__vf_module_cust_idx` (
    `VF_MODULE_MODEL_CUSTOMIZATION_UUID` ASC
  ), 
  INDEX `fk_vnf_vfmodule_cvnfc_config_cust__vnf_res_cust_idx` (
    `VNF_RESOURCE_CUST_MODEL_CUSTOMIZATION_UUID` ASC
  ), 
  CONSTRAINT `fk_vnf_vfmod_cvnfc_config_cust__configuration_resource` FOREIGN KEY (`CONFIGURATION_MODEL_UUID`) REFERENCES `configuration` (`MODEL_UUID`) ON DELETE CASCADE ON UPDATE CASCADE, 
  CONSTRAINT `fk_cvnfc_configuration_customization__cvnfc_customization1` FOREIGN KEY (
    `CVNFC_MODEL_CUSTOMIZATION_UUID`
  ) REFERENCES `cvnfc_customization` (`MODEL_CUSTOMIZATION_UUID`) ON DELETE CASCADE ON UPDATE CASCADE, 
  CONSTRAINT `fk_vnf_configuration_cvnfc_customization__vf_module_customiza1` FOREIGN KEY (
    `VF_MODULE_MODEL_CUSTOMIZATION_UUID`
  ) REFERENCES `vf_module_customization` (`MODEL_CUSTOMIZATION_UUID`) ON DELETE CASCADE ON UPDATE CASCADE, 
  CONSTRAINT `fk_vfmodule_cvnfc_configuration_customization__vnf_resource_c1` FOREIGN KEY (
    `VNF_RESOURCE_CUST_MODEL_CUSTOMIZATION_UUID`
  ) REFERENCES `vnf_resource_customization` (`MODEL_CUSTOMIZATION_UUID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = INNODB AUTO_INCREMENT = 20654 DEFAULT CHARACTER SET = LATIN1;